/*----------------------------------------------
     header file to include external variables
     Version date = 00.07.16
----------------------------------------------*/

extern int    xActual ;
extern BOOL   bAlertHeel ;
extern BOOL   bAlertLeeway ;
extern BOOL   bAlertRotat ;
extern BOOL   bAlertSpeed ;
extern float  fAppWindAngle ;
extern float  fAppWindDirection ;
extern float  fAppWindSpeed ;
extern int    xAuto ;
extern HBITMAP hBitmap ;
extern int    iBearing ;
extern int    xBearing ;
extern int    yBearing ;
extern float  fBearingTime ;
extern int    iBestAngle ;
extern HBRUSH hBlownBrush ;   
extern float  fBottomEdge ;
extern int    yBottomLine ; 
extern float  fBowFactor ;
extern int    iCanShad[4][13][8] ;
extern int    xChildPixels ;
extern int    yChildPixels ;
extern float  fCOEForeAft ;
extern float  fCOEHeight ;
extern float  fCOELeeward ;
extern int    xColon ;
extern float  fCSABow ;
extern float  fCSASide ;
extern float  fCSAStern ;
extern int    iCycles ;
extern HBRUSH hDeckBrush ;
extern float  fDegreesPerMin ;
extern float  fDeltaHeel ;
extern float  fDeltaWindDir ;
extern float  fDeltaWindSpeed ;
extern int    iDisplayParam ;
extern int    iDoShad[13][8] ;
extern float  fEndOfCycle ;
extern BOOL   bEstablished ;
extern float  fEffectOfHeel ;
extern float  fEffPlanHeadLeft[13] ;
extern float  fEffPlanHeadRight[13] ;
extern float  fEffSailHead[13] ;
extern float  fExposedFract[13];
extern int    iFields[] ;
extern OPENFILENAME oFileName ;
extern char   sFileName [] ;
extern int    yFirst ;
extern float  fFocleLength ;
extern int    iFocus ;
extern float  fFootWidth[] ;
extern float  fForwardDrag ;
extern float  fForwardThrust ;
extern float  fGunDeckHeight ;
extern float  fHeading ;
extern float  fHeadwayForce[] ;
extern float  fHeadWidth[] ;
extern float  fHeelAngleFactor ;
extern float  fHeelDragFactor ;
extern float  fHeelForce[] ;
extern float  fHeelInertFactor ;
extern float  fHeelingAngle ;
extern float  fHeelingThrust ;
extern float  fHeelResistFactor ;
extern float  fHeelSpeed ;
extern int    iHelmAngle ;
extern char   sHelmInstruction[] ;
extern BOOL   bHelmsman ;
extern POINT  pHull[] ;
extern int    xHullTemplate[] ;
extern int    yHullTemplate[] ;
extern HWND   hwnd ;
extern HWND   hwndButton[] ;
extern HWND   hwndChild[] ;
extern HWND   hwndCheck[] ;
extern HWND   hwndHelm ;
extern HWND   hwndJib ;
extern HWND   hwndPropCancelButton ;
extern HWND   hwndPropOKButton ;
extern HWND   hwndProps ;
extern HWND   hwndPropText[] ;
extern HWND   hwndStatus ;
extern HWND   hwndYard[] ;
extern float  fIncrement ;
extern HINSTANCE hInstance ;
extern float  fIsleLat[] ; 
extern float  fIsleLong[] ; 
extern float  fIsleRadius[] ; 
extern int    xJib ;
extern float  fJibDepth[] ;
extern float  fJibFootWidth[] ;
extern char  *sJibName[] ;
extern int    iJibSet ;
extern float  fJibTheorMaxSpeed[] ;
extern float  fJibWidth ;
extern HBRUSH hLandBrush ;
extern float  fLastDeviation ;
extern float  fLastLat ;
extern float  fLastLong ;
extern float  fLastTime ;
extern char   sLastValue[] ;
extern int    iLastValueToShow ;
extern float  fLat[] ;
extern float  fLatitude ;
extern float  fLeewardDrag ;
extern float  fLeewardThrust ;
extern float  fLeewayAngle ;
extern float  fLeewayForce[] ;
extern float  fLeewaySpeed ;
extern int    xLeft ;
extern float  fLeftEdge ;
extern float  fLon[] ;
extern float  fLongtitude ;
extern float  fLowestSailFoot[] ;
extern int    iMadeSail ;
extern int    iMapCounter ;
extern BOOL   bMapMustBePainted ;
extern int    iMapPixels ;
extern float  fMapRadius ;
extern float  fMapWidth ;
extern float  fMassFactor ;
extern float  fMastDistance[] ;
extern float  fMastHeight[] ;
extern int    xMax ;
extern int    yMax ;
extern float  fMaxHeelMoment ;
extern int    iMaxHelmAngle ;
extern int    iMaxJibAngle ;
extern int    iMaxReefs[] ;
extern float  fMaxSpeed[] ;
extern BOOL   bMaxTrack ;
extern int    iMaxYardAngle[] ;
extern float  fMeanSailHeight[] ;
extern char   sMessage[] ;
extern int    xMessage ; 
extern int    yMessage ; 
extern int    iMessageNr ;
extern float  fMessageTime[] ;
extern int    iModifyMenu ;
extern HFONT   MyFont ;
extern int    iNewHelmAngle ;
extern float  fNewLat ;
extern float  fNewLong ;
extern float  fNewWindDirection ;
extern float  fNewWindSpeed ;
extern int    iNewYardAngle[] ;
extern float  fNow ;
extern float  fOldAppWindAngle ;
extern char   sOldDegreesPerMin[] ;
extern WNDPROC fnOldEditProc ;
extern char   sOldHeading[] ;
extern char   sOldHeelingAngle[] ;
extern int    iOldJibAngle ;
extern int    iOldJibStatus ;
extern char   sOldLeewayAngle[] ;
extern int    iOldSpankerStatus ;
extern char   sOldSpeed[] ;
extern float  fOldValue[] ;
extern char   sOldWindDirection[] ;
extern char   sOldWindSpeed[] ;
extern float  fOneThird ;
extern int    xOrgPixels ;
extern BOOL   bParalax ;
extern char  *sParam[] ;
extern int    xParameter ;
extern int    yParameter ;
extern BOOL   bPaused ;
extern float  fPerpForce[] ;
extern float  fPerpFract[] ;
extern float  fPerpSailArea[] ;
extern float  fPlanFootLeft[] ;
extern float  fPlanFootRight[] ;
extern float  fPlanHeadLeft[] ;
extern float  fPlanHeadRight[] ;
extern BOOL   bPlanViewIsChanged ;
extern int    xPos[] ;
extern int    yPos[] ;
extern float  fQDeckHeight ;
extern float  fQDeckLength ;
extern float  fRelWindAngle ;
extern float  fRequiredHeading ;
extern float  fResistance ;
extern float  fRightEdge ;
extern float  fRightingMoment ;
extern float  fRotatDragFactor;
extern float  fRotatInertFactor ;
extern float  fRotatForce[] ;
extern float  fRotatInertFactor ;
extern float  fRotationalDrag ;
extern float  fRotatDragFactor ;
extern float  fRotationalInertia ;
extern float  fRotationalSpeed ;
extern float  fRotationalThrust ;
extern float  fRudderArea ;
extern float  fRudderFactor ;
extern float  fSailAngle[] ;
extern int    iSailClicks ;
extern float  fSailDepth[] ;
extern float  fSailFoot[] ;
extern float  fSailHead[] ;
extern char  *sSailName[] ;
extern int    xSailParameter[] ;
extern int    ySailParameter[] ;
extern BOOL   bSailPlanIsChanged ;
extern float  fSailScale ;
extern int    iSailStatus[] ;
extern int    iSailWarning[] ;
extern int    xSailClick[] ;
extern int    ySailClick[] ;
extern float  fScale ;
extern int    xScrollPos ;
extern int    yScrollPos ;
extern HBRUSH hSeaBrush ;
extern int    xSelected ;
extern int    iSeq ;
extern int    iSequence[4][13] ; 
extern float  fSetFraction[] ;
extern int    iShadEnd[13][8] ;
extern int    iShadOfset[13][8] ;
extern int    iShadStart[13][8] ;
extern float  fShipDraught ;
extern float  fShipLength  ;
extern float  fShipMass ;
extern char   sShipMessage[6][41];
extern float  fShipTons ;
extern float  fShipWidth ;
extern BOOL   bShowSlipStream ;
extern float  fSideFactor ;
extern HBRUSH hSkyBrush ;
extern int    xSliders ;
extern int    ySliders[] ;
extern float  fSpeed ;
extern char  *sStatusName[] ;
extern POINT  pStern[] ;
extern float  fSternFactor ;
extern BOOL   bSternViewIsChanged ;
extern int    iTackStatus ;
extern int    iTextHeight ;
extern float  fTheorMaxSpeed[] ;
extern char   sTitleName [] ;
extern float  fTopEdge ;
extern int    xTotals ;
extern int    yTotals ;
extern BOOL   bTracking ;
extern int    xValues ;
extern float  fVerticalInertia ;
extern float  fWaterDragFactor ;
extern int    xWind ;
extern int    yWind ;
extern BOOL   bWindDirChange ;
extern float  fWindDirection ;
extern int    iWindDirIncr ;
extern float  fWindFootLeft[] ;
extern float  fWindFootRight[] ;
extern float  fWindHeadLeft[] ;
extern float  fWindHeadRight[] ;
extern float  fWindSpeed ;
extern BOOL   bWindSpeedChange ;
extern int    iWindSpeedIncr ;
extern int    xWindSpeed ;
extern int    iYardAngle[] ;
extern char  *sYardLevel[] ;
extern int    iYardLevelShown ;
extern char  *sYardName[] ;
extern int    iYardLevelShown ;
extern BOOL   bYardsmen ;

